solscan logo
Register NowRegister Now

account stake rewards

get

https://pro-api.solscan.io/v2.0/account/stake/reward

Get stake rewards for an account. Staking reward data is available from epoch 132.

QUERY PARAMS

address

string

required

A stake account on Solana

from_time

number

The start time for the export. Format: unix timestamp in seconds. Default 1 month before to_time

to_time

number

The end time for the export. Format: Unix timestamp in seconds. Defaults to the current time.

page

number

Page number for pagination

page_size

number

Number items per page

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

address

string

The address of stake account

change_percent

string

The percentage of reward compare with post_balance

epoch

number

The epoch number

effective_slot

number

The effective slot

effective_time

number

The effective time

decimals

number

The decimals number

amount

number

The amount of reward

commission

number

The commission number

post_balance

string

The post balance of stake account

400

Bad Request

Response Body

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples